package common

/*
	数据配置信息
 */
type DBConnectInfo struct {
	Server string `ini:"db_server"`
	Port string `ini:"db_port"`
	Username string `ini:"db_username"`
	Password string `ini:"db_password"`
	DBName string `ini:"db_dbname"`
}

/*
  	静态设备sql语句
 */
type StaticSqlLanguage struct {
	GtStaticSql string `ini:"gt_static_sql"`
	KswStaticSql string `ini:"ksw_static_sql"`
	JrxStaticSql string `ini:"jrx_static_sql"`
	JylStaticSql string `ini:"jyl_static_sql"`
	NbwystaticSql string `ini:"nbwy_static_sql"`
}

type RealTimeSqlLanguage struct {
	GtRealTimeSql string `ini:"gt_real_time_sql"`
	KswRealTimeSql string `ini:"ksw_real_time_sql"`
	JrxRealTimeSql string `ini:"jrx_real_time_sql"`
	JylRealTimeSql string `ini:"jyl_real_time_sql"`
	NbwyRealTimeSql string `ini:"nbwy_real_time_sql"`
}

/*
 	尾矿库基础信息
 */
type TailPondInfor struct {
	Tailingno string `ini:"tailingno" xml:"tailingno"`
	Tailingname string `ini:"tailingname" xml:"tailingname"`
	Unifcreditcode string `ini:"unifcreditcode" xml:"unifcreditcode"`
	Address string `ini:"address" xml:"address"`
	Unitname string `ini:"unitname" xml:"unitname"`
	Unitaddress string `ini:"unitaddress" xml:"unitaddress"`
	Industrycharacterno string `ini:"industrycharacterno" xml:"industrycharacterno"`
	Unitperson string `ini:"unitperson" xml:"unitperson"`
	Unitpersontel string `ini:"unitpersontel" xml:"unitpersontel"`
	Securityofficer string `ini:"securityofficer" xml:"securityofficer"`
	Securityofficertel string `ini:"securityofficertel" xml:"securityofficertel"`
	Ondutytel string `ini:"ondutytel" xml:"ondutytel"`
	Longitude string `ini:"longitude" xml:"longitude"`
	Latitude string `ini:"latitude" xml:"latitude"`
	Useyear string `ini:"useyear" xml:"useyear"`
	Operatingstatus string `ini:"operatingstatus" xml:"operatingstatus"`
	Industrytypeno string `ini:"industrytypeno" xml:"industrytypeno"`
	Mineralspecies string `ini:"mineralspecies" xml:"mineralspecies"`
	Top string `ini:"top" xml:"top"`
	Onlinemonitoringsys string `ini:"onlinemonitoringsys" xml:"onlinemonitoringsys"`
	Geologicalstructure string `ini:"geologicalstructure" xml:"geologicalstructure"`
	Topotraphicgradient string `ini:"topotraphicgradient" xml:"topotraphicgradient"`
	Standardizationlevel string `ini:"standardizationlevel" xml:"standardizationlevel"`
	Standardforensicsdate string `ini:"standardforensicsdate" xml:"standardforensicsdate"`
	Safetypermitno string `ini:"safetypermitno" xml:"safetypermitno"`
	Safetypermitdate string `ini:"safetypermitdate" xml:"safetypermitdate"`
	Safetypermitunit string `ini:"safetypermitunit" xml:"safetypermitunit"`
	Storetypeno string `ini:"storetypeno" xml:"storetypeno"`
	Designlevel string `ini:"designlevel" xml:"designlevel"`
	Grade string `ini:"grade" xml:"grade"`
	Designheight string `ini:"designheight" xml:"designheight"`
	Stackheight string `ini:"stackheight" xml:"stackheight"`
	Plancapability string `ini:"plancapability" xml:"plancapability"`
	Nowvolume string `ini:"nowvolume" xml:"nowvolume"`
	Damstocktypeno string `ini:"damstocktypeno" xml:"damstocktypeno"`
	Floodequipment string `ini:"floodequipment" xml:"floodequipment"`
	Floodmethod string `ini:"floodmethod" xml:"floodmethod"`
	Floodfacilitydischarge string `ini:"floodfacilitydischarge" xml:"floodfacilitydischarge"`
	Waterarea string `ini:"waterarea" xml:"waterarea"`
	Area string `ini:"area" xml:"area"`
	Floodcontrolstandard string `ini:"floodcontrolstandard" xml:"floodcontrolstandard"`
	Damtype string `ini:"damtype" xml:"damtype"`
	Initialdamtype string `ini:"initialdamtype" xml:"initialdamtype"`
	Designinitialdamheight string `ini:"designinitialdamheight" xml:"designinitialdamheight"`
	Currentinitialdamheight string `ini:"currentinitialdamheight" xml:"currentinitialdamheight"`
	Initialdamlongness string `ini:"initialdamlongness" xml:"initialdamlongness"`
	Initialdamsloperatio string `ini:"initialdamsloperatio" xml:"initialdamsloperatio"`
	Accumulationdamratio string `ini:"accumulationdamratio" xml:"accumulationdamratio"`
	Designsubdamheight string `ini:"designsubdamheight" xml:"designsubdamheight"`
	Designsubdamtopwidth string `ini:"designsubdamtopwidth" xml:"designsubdamtopwidth"`
	Accumulateddamsnumber string `ini:"accumulateddamsnumber" xml:"accumulateddamsnumber"`
	Earthquake string `ini:"earthquake" xml:"earthquake"`
	Tailingsstoragemethod string `ini:"tailingsstoragemethod" xml:"tailingsstoragemethod"`
	Minelaytypeno string `ini:"minelaytypeno" xml:"minelaytypeno"`
	Upstreamtailings string `ini:"upstreamtailings" xml:"upstreamtailings"`
	Drystorage string `ini:"drystorage" xml:"drystorage"`
	Drystoragewaterratio string `ini:"drystoragewaterratio" xml:"drystoragewaterratio"`
	Tailingsparticlesize string `ini:"tailingsparticlesize" xml:"tailingsparticlesize"`
	Tailingsaveparticlesize string `ini:"tailingsaveparticlesize" xml:"tailingsaveparticlesize"`
	Depositiondrybeachslope string `ini:"depositiondrybeachslope" xml:"depositiondrybeachslope"`
	Personnum string `ini:"personnum" xml:"personnum"`
	Buildingnum string `ini:"personnum" xml:"buildingnum"`
	Emergencyplanfiled string `ini:"emergencyplanfiled" xml:"emergencyplanfiled"`
	Primarysafetyunit string `ini:"primarysafetyunit" xml:"primarysafetyunit"`
	Primarysafetylevel string `ini:"primarysafetylevel" xml:"primarysafetylevel"`
	Designunit string `ini:"designunit" xml:"designunit"`
	Designunitlevel string `ini:"designunitlevel" xml:"designunitlevel"`
	Constructionunit string `ini:"constructionunit" xml:"constructionunit"`
	Constructionlevel string `ini:"constructionlevel" xml:"constructionlevel"`
	Supervisoryunit string 	`ini:"supervisoryunit" xml:"supervisoryunit"`
	Supervisorylevel string `ini:"supervisorylevel" xml:"supervisorylevel"`
	Safetycheckunit string `ini:"safetycheckunit" xml:"safetycheckunit"`
	Safetychecklevel string `ini:"safetychecklevel" xml:"safetychecklevel"`
	Safetyacceptancetime string `ini:"safetyacceptancetime" xml:"safetyacceptancetime"`
	Safetyevaluationunit string `ini:"safetyevaluationunit" xml:"safetyevaluationunit"`
	Safetyevaluationlevel string `ini:"safetyevaluationlevel" xml:"safetyevaluationlevel"`
	Filingperson string `ini:"filingperson" xml:"filingperson"`
	Filingdate string `ini:"filingdate" xml:"filingdate"`
	Fillerphone string `ini:"fillerphone" xml:"fillerphone"`
	Note string `ini:"note" xml:"note"`
	InUse string `ini:"in_use" xml:"in_use"`
	IsSync string `ini:"is_sync" xml:"is_sync"`
}

/*
	干滩设备信息
 */
type DryBeachEquipInfor struct {
	Equipno string `grom:"equipno" xml:"equipno"`
	Equipname string `grom:"equipname" xml:"equipname"`
	Installationdate string `grom:"installationdate" xml:"installationdate"`
	Installationlocate string `grom:"installationlocate" xml:"installationlocate"`
	Manufacture string `grom:"manufacture" xml:"manufacture"`
	Longitude string `grom:"longitude" xml:"longitude"`
	Latitude string `grom:"latitude" xml:"latitude"`
	Altitude string `grom:"altitude" xml:"altitude"`
	Onelevelalarm string `grom:"onelevelalarm" xml:"onelevelalarm"`
	Twolevelalarm string `grom:"twolevelalarm" xml:"twolevelalarm"`
	Threelevelalarm string `grom:"threelevelalarm" xml:"threelevelalarm"`
	IsUsed string `grom:"isUsed" xml:"is_used"`
	IsSync string `grom:"isSync" xml:"is_sync"`
}

/*
	库水位设备信息
 */
type ReserWaterLevelInfor struct {
	Equipno string `gorm:"column:id" xml:"equipno"`
	Equipname string `gorm:"column:equipname" xml:"equipname"`
	Installationdate string `gorm:"installationdate" xml:"installationdate"`
	Installationlocate string `gorm:"installationlocate" xml:"installationlocate"`
	Installlocation string `gorm:"installlocation" xml:"installlocation"`
	Manufacture string `gorm:"manufacture" xml:"manufacture"`
	Longitude string `gorm:"longitude" xml:"longitude"`
	Latitude string `gorm:"latitude" xml:"latitude"`
	Altitude string `gorm:"altitude" xml:"altitude"`
	Onelevelalarm string `gorm:"onelevelalarm" xml:"onelevelalarm"`
	Twolevelalarm string `gorm:"twolevelalarm" xml:"twolevelalarm"`
	Threelevelalarm string `gorm:"threelevelalarm" xml:"threelevelalarm"`
	IsUsed string `gorm:"isUsed" xml:"is_used"`
	IsSync string `gorm:"isSync" xml:"is_sync"`
}

/*
	表面位移设备信息
 */
type DisplacementInfor struct {
	Equipno string `grom:"equipno" xml:"equipno"`
	Equipname string `grom:"equipname" xml:"equipname"`
	Installationdate string `grom:"installationdate" xml:"installationdate"`
	Installationlocate string `grom:"installationlocate" xml:"installationlocate"`
	Manufacture string `grom:"manufacture" xml:"manufacture"`
	Longitude string `grom:"longitude" xml:"longitude"`
	Latitude string `grom:"latitude" xml:"latitude"`
	Altitude string `grom:"altitude" xml:"altitude"`
	Onelevelalarm string `grom:"onelevelalarm" xml:"onelevelalarm"`
	Twolevelalarm string `grom:"twolevelalarm" xml:"twolevelalarm"`
	Threelevelalarm string `grom:"threelevelalarm" xml:"threelevelalarm"`
	IsUsed string `grom:"isUsed" xml:"is_used"`
	IsSync string `grom:"isSync" xml:"is_sync"`
}

/*
	浸润线设备信息
 */
type SaturationLineInfor struct {
	Equipno string `grom:"equipno" xml:"equipno"`
	Equipname string `grom:"equipname" xml:"equipname"`
	Installationdate string `grom:"installationdate" xml:"installationdate"`
	Installationlocate string `grom:"installationlocate" xml:"installationlocate"`
	Manufacture string `grom:"manufacture" xml:"manufacture"`
	Holedepth string `grom:"holedepth" xml:"holedepth"`
	Burialdepth string `grom:"burialdepth" xml:"burialdepth"`
	Longitude string `grom:"longitude" xml:"longitude"`
	Latitude string `grom:"latitude" xml:"latitude"`
	Altitude string `grom:"altitude" xml:"altitude"`
	Onelevelalarm string `grom:"onelevelalarm" xml:"onelevelalarm"`
	Twolevelalarm string `grom:"twolevelalarm" xml:"twolevelalarm"`
	Threelevelalarm string `grom:"threelevelalarm" xml:"threelevelalarm"`
	IsUsed string `grom:"isUsed" xml:"is_used"`
	IsSync string `grom:"isSync" xml:"is_sync"`
}

/*
 	降雨量设备信息
 */
type RainfallInfor struct {
	Equipno string `grom:"equipno" xml:"equipno"`
	Equipname string `grom:"equipname" xml:"equipname"`
	Installationdate string `grom:"installationdate" xml:"installationdate"`
	Installationlocate string `grom:"installationlocate" xml:"installationlocate"`
	Manufacture string `grom:"manufacture" xml:"manufacture"`
	Longitude string `grom:"longitude" xml:"longitude"`
	Latitude string `grom:"latitude" xml:"latitude"`
	Altitude string `grom:"altitude" xml:"altitude"`
	Onelevelalarm string `grom:"onelevelalarm" xml:"onelevelalarm"`
	Twolevelalarm string `grom:"twolevelalarm" xml:"twolevelalarm"`
	Threelevelalarm string `grom:"threelevelalarm" xml:"threelevelalarm"`
	IsUsed string `grom:"isUsed" xml:"is_used"`
	IsSync string `grom:"isSync" xml:"is_sync"`
}

/*
	内部位移设备信息
 */
type InclinometerInfor struct {
	Equipno string `grom:"equipno" xml:"equipno"`
	Equipname string `grom:"equipname" xml:"equipname"`
	Installationdate string `grom:"installationdate" xml:"installationdate"`
	Installationlocate string `grom:"installationlocate" xml:"installationlocate"`
	Manufacture string `grom:"manufacture" xml:"manufacture"`
	Longitude string `grom:"longitude" xml:"longitude"`
	Latitude string `grom:"latitude" xml:"latitude"`
	Altitude string `grom:"altitude" xml:"altitude"`
	Onelevelalarm string `grom:"onelevelalarm" xml:"onelevelalarm"`
	Twolevelalarm string `grom:"twolevelalarm" xml:"twolevelalarm"`
	Threelevelalarm string `grom:"threelevelalarm" xml:"threelevelalarm"`
	IsUsed string `grom:"isUsed" xml:"is_used"`
	IsSync string `grom:"isSync" xml:"is_sync"`
}


// ------------------------------------------------------->实时数据结构体
/*
	干滩实时数据
 */
type DryBeachData struct {
	Recordid string `grom:"recordid" xml:"recordid"`
	Sensorno string `grom:"sensorno" xml:"sensorno"`
	Collectdate string `grom:"collectdate" xml:"collectdate"`
	Value string `grom:"value" xml:"value"`
}

/*
	库水位实时数据
 */
type ReserWaterLevelData struct {
	Recordid string `grom:"recordid" xml:"recordid"`
	Sensorno string `grom:"sensorno" xml:"sensorno"`
	Collectdate string `grom:"collectdate" xml:"collectdate"`
	Value string `grom:"value" xml:"value"`
}

/*
	表面位移实时数据
 */
type DisplacementData struct {
	Recordid string `xml:"recordid"`
	Sensorno string `xml:"sensorno"`
	Collectdate string `xml:"collectdate"`
	Xvalue string `xml:"xvalue"`
	Yvalue string `xml:"yvalue"`
	Zvalue string `xml:"zvalue"`
}


/*
	浸润线实时数据
 */
type SaturationLineData struct {
	Recordid string `grom:"recordid" xml:"recordid"`
	Sensorno string `grom:"sensorno" xml:"sensorno"`
	Collectdate string `grom:"collectdate" xml:"collectdate"`
	Value string `grom:"value" xml:"value"`
}

/*
	降雨量实时数据
 */
type RailfallData struct {
	Recordid string `grom:"recordid" xml:"recordid"`
	Sensorno string `grom:"sensorno" xml:"sensorno"`
	Collectdate string `grom:"collectdate" xml:"collectdate"`
	Value string `grom:"value" xml:"value"`
}

/*
	内部位移实时数据
 */
type InclinometerData struct {
	Recordid string `grom:"recordid" xml:"recordid"`
	Sensorno string `grom:"sensorno" xml:"sensorno"`
	Collectdate string `grom:"collectdate" xml:"collectdate"`
	Xvalue string `xml:"xvalue"`
	Yvalue string `xml:"yvalue"`
}

/*
	离线设备实时数据
 */
type DeviceOffLineData struct {
	Recordid string `grom:"recordid" xml:"recordid"`
	Sensorno string `grom:"sensorno" xml:"sensorno"`
	Collectdate string `grom:"collectdate" xml:"collectdate"`
}

/*
	报警设备实时数据
 */
type AlarmMessData struct {
	Recordid string `grom:"recordid" xml:"recordid"`
	Sensorno string `grom:"sensorno" xml:"sensorno"`
	Warninglevel string `grom:"warninglevel" xml:"warninglevel"`
	Value string `grom:"value" xml:"value"`
	Warningcontent string `grom:"warningcontent" xml:"warningcontent"`
	Warningdate string `grom:"warningdate" xml:"warningdate"`
}