package dao

import (
	"shandong_datapush/common"
	"shandong_datapush/config"
)

/*
	干滩静态数据
 */
func GantanStaticData() []*common.DryBeachEquipInfor {
	row, err := config.DB.Query(config.StaticSql.GtStaticSql)
	defer func() {
		err := row.Close()
		common.ErrorPrintln("row 关闭异常", err)
	}()
	common.ErrorPrintln("干滩静态数据查询异常", err)
	Arrs := make([]*common.DryBeachEquipInfor, 0)
	for row.Next() {
		dryBeachInfo := new(common.DryBeachEquipInfor)
		err := row.Scan(&dryBeachInfo.Equipno, &dryBeachInfo.Equipname, &dryBeachInfo.Longitude, &dryBeachInfo.Latitude,&dryBeachInfo.Altitude, &dryBeachInfo.IsUsed, &dryBeachInfo.IsSync)
		common.ErrorPrintln("scan 干滩数据读取异常", err)
		Arrs = append(Arrs, dryBeachInfo)
	}
	return Arrs
}

/*
	库水位静态数据
 */
func KushuiweiStaticData() []*common.ReserWaterLevelInfor {
	row, err := config.DB.Query(config.StaticSql.KswStaticSql)
	common.ErrorPrintln("库水位静态数据查询异常", err)
	defer func() {
		err := row.Close()
		common.ErrorPrintln("row 关闭异常", err)
	}()
	Arrs := make([]*common.ReserWaterLevelInfor, 0)
	for row.Next() {
		reserwater := new(common.ReserWaterLevelInfor)
		err := row.Scan(&reserwater.Equipno, &reserwater.Equipname, &reserwater.Installlocation, &reserwater.Longitude, &reserwater.Latitude, &reserwater.Altitude, &reserwater.IsUsed, &reserwater.IsSync)
		common.ErrorPrintln("scan 库水位数据读取异常", err)
		Arrs = append(Arrs, reserwater)
	}
	return Arrs
}

/*
	浸润线静态数据
 */
func JinrunxianStaticData() []*common.SaturationLineInfor {
	row, err := config.DB.Query(config.StaticSql.JrxStaticSql)
	common.ErrorPrintln("浸润线静态数据查询异常", err)
	defer func() {
		err := row.Close()
		common.ErrorPrintln("row 关闭异常", err)
	}()
	Arrs := make([]*common.SaturationLineInfor, 0)
	for row.Next() {
		saturation := new(common.SaturationLineInfor)
		err := row.Scan(&saturation.Equipno, &saturation.Equipname, &saturation.Holedepth, &saturation.Burialdepth, &saturation.Longitude, &saturation.Latitude, &saturation.Altitude, &saturation.IsUsed, &saturation.IsSync)
		common.ErrorPrintln("scan 浸润线数据读取异常", err)
		Arrs = append(Arrs, saturation)
	}
	return Arrs
}

/*
	降雨量静态数据
*/
func JiangyuliangStaticData() []*common.RainfallInfor {
	row, err := config.DB.Query(config.StaticSql.JylStaticSql)
	common.ErrorPrintln("降雨量静态数据查询异常", err)
	defer func() {
		err := row.Close()
		common.ErrorPrintln("row 关闭异常", err)
	}()
	Arrs := make([]*common.RainfallInfor, 0)
	for row.Next() {
		saturation := new(common.RainfallInfor)
		err := row.Scan(&saturation.Equipno, &saturation.Equipname, &saturation.Longitude, &saturation.Latitude, &saturation.Altitude, &saturation.IsUsed, &saturation.IsSync)
		common.ErrorPrintln("scan 降雨量数据读取异常", err)
		Arrs = append(Arrs, saturation)
	}
	return Arrs
}


/*
	内部位移静态数据
*/
func NeibuweiyiStaticData() []*common.InclinometerInfor {
	row, err := config.DB.Query(config.StaticSql.NbwystaticSql)
	common.ErrorPrintln("内部位移静态数据查询异常", err)
	defer func() {
		err := row.Close()
		common.ErrorPrintln("row 关闭异常", err)
	}()
	Arrs := make([]*common.InclinometerInfor, 0)
	for row.Next() {
		saturation := new(common.InclinometerInfor)
		err := row.Scan(&saturation.Equipno, &saturation.Equipname, &saturation.Longitude, &saturation.Latitude, &saturation.Altitude, &saturation.IsUsed, &saturation.IsSync)
		common.ErrorPrintln("scan 内部位移数据读取异常", err)
		Arrs = append(Arrs, saturation)
	}
	return Arrs
}